Subject: Re: rxvt SEGV (Win98, 1.1.5s/2000-10-08)
From: Earnie Boyd <[email-masked]>
To: Jonathan Kamens <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Tue, 17 Oct 2000 08:28:57 -0700 (PDT)

--- Jonathan Kamens <[email-masked]> wrote:
> >  Date: Tue, 17 Oct 2000 07:16:28 -0700 (PDT)
> >  From: Earnie Boyd <[email-masked]>
> >  
> >  Well, snapshots are never tested.  You just tested three and found
> >  them to be buggy.  Try the most recent ones.  As for replacing the
> >  Cygwin libraries, it appears from your verbage that you don't need
> >  to.  I have on my webpage an explanation of Update Cygwin and a
> >  section of that covers snapshots, you may wish to read it.
> 
> The reason I posted in this thread is because someone else posted a
> bug which a Cygwin developer claimed was fixed in the 20001012
> snapshot.  I have encountered the same bug, so I attempted to drop the
> snapshot in place to fix it.  That did not work; in fact, it made the
> problem worse.  So I asked what I could do to help debug the problem.
> 
> I did try the most recent snapshots.  Did you read my initial message?
> 

Yes, but probably not thoroughly enough.  I got confused by your response to
David.  Sorry.

> I am aware that snapshots were untested.  I was trying to (a) be
> helpful by pointing out that the snapshots which supposedly fixed a
> bug in fact appear to have made the bug worse, at least on NT 4.0 MP
> systems, and (b) find out what I could do to help debug the problem
> and get it fixed, since it is affecting us and I'd like to see it
> fixed.
> 
> I know how to update Cygwin and how to drop in new snapshots.
> 
> Now, I'll say again: The most recent snapshots do not fix the
> "handle_exceptions" problems which were reported at the beginning of
> this thread.  In fact, they appear to make the probem worse, at least
> on NT 4.0 MP systems.  What can I do to help get this fixed?
> 

The best way to help is to get the CVS source and build it (it takes ~30
minutes on my PII Compaq armada to do the make).  The new-cygwin1.dll that is
produced contains debugging symbols and is about 3.5M large.  You'll copy this
to the cygwin1.dll in the bin directory.  Then using common debugging methods
figure out what's wrong.  If you use strace be sure to use the most recent
version as some bug fixes to strace itself have occurred.

Also, you may want to join the cygwin-developers, cygwin-cvs and cygwin-patches
lists in order to be apprised of what is changing.

TIA for you help,

=====
Earnie Boyd
mailto:[email-masked]

---         <http://earniesystems.safeshopper.com>         ---
--- Cygwin: POSIX on Windows <http://gw32.freeyellow.com/> ---
---   Minimalist GNU for Windows <http://www.mingw.org/>   ---

__________________________________________________
Do You Yahoo!?
Yahoo! Messenger - Talk while you surf!  It's FREE.
http://im.yahoo.com/

--
Want to unsubscribe from this list?
Send a message to [email-masked]